[INIT.D] Installer CUPS

Bonjour,

Lors de l’installation de cups sur un raspberry Pi, l’installation ne se passe pas très bien :

Les NOUVEAUX paquets suivants vont être installés : cups printer-driver-gutenprint{a} 0 paquets mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour. Il est nécessaire de télécharger 0 o/1 821 ko d'archives. Après dépaquetage, 4 839 ko seront utilisés. Préconfiguration des paquets... Sélection du paquet cups précédemment désélectionné. (Lecture de la base de données... 81044 fichiers et répertoires déjà installés.) Dépaquetage de cups (à partir de .../cups_1.5.3-5+deb7u5_armhf.deb) ... Sélection du paquet printer-driver-gutenprint précédemment désélectionné. Dépaquetage de printer-driver-gutenprint (à partir de .../printer-driver-gutenprint_5.2.9-1_armhf.deb) ... Traitement des actions différées (« triggers ») pour « man-db »... Paramétrage de cups (1.5.3-5+deb7u5) ... insserv: warning: script 'K01cups' missing LSB tags and overrides insserv: warning: script 'cups' missing LSB tags and overrides insserv: warning: script 'cupsys' missing LSB tags and overrides insserv: warning: script 'lpd' missing LSB tags and overrides insserv: warning: script 'lprng' missing LSB tags and overrides Paramétrage de printer-driver-gutenprint (5.2.9-1) ... No Gutenprint PPD files to update.

Et bien évidemment, derrière je ne peux pas utiliser le démon cups… (service cups start/restart/stop,… inopérant… pas de message d’erreur… juste inopérant)…

Une idée ?

Merci pour votre collaboration.

Max

Salut,

Un conflit majeur entre [mono]cups printer-driver-gutenprint[/mono] et [mono]lprng[/mono] à première vue.
Ce qui a pour conséquence immédiate, cette querelle d’[mono]entête LSB[/mono].
J’aurais tendance à dire que tu utilises [mono]apt-get[/mono] probablement, [strike]ou [mono]aptitude[/mono][/strike].
Mais, dans les [strike]deux[/strike] cas, tu es passé au travers des recommandations et de plus tu as validé.
Nan ?

Va falloir nettoyer tout cela. Ces retours, stp.

Il ne me semble pas (j’ai pas souvenir du moins) être passé outre les recommandations…

Bref, voici les retours :
dpkg -l | grep cups :

ii cups 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - server ii cups-bsd 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - BSD commands ii cups-client 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - client programs (SysV) ii cups-common 1.5.3-5+deb7u5 all Common UNIX Printing System(tm) - common files ii cups-filters 1.0.18-2.1+deb7u1 armhf OpenPrinting CUPS Filters ii cups-ppdc 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - PPD manipulation utilities ii ghostscript-cups 9.05~dfsg-6.3+deb7u1 armhf interpreter for the PostScript language and for PDF - CUPS filters ii libcups2:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - Core library ii libcupscgi1:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - CGI library ii libcupsdriver1:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - Driver library ii libcupsfilters1:armhf 1.0.18-2.1+deb7u1 armhf OpenPrinting CUPS Filters - Shared library ii libcupsimage2:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - Raster image library ii libcupsmime1:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - MIME library ii libcupsppdc1:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - PPD manipulation library

dpkg -l | grep lprng :

Merci ta collaboration.

Ok.

[quote=“Maxdecondé”]dpkg -l | grep lprng :

Toujours est il que les scripts sont toujours en places. (Désinstallation non conforme ou absence de nettoyage, que importe.)

[quote=“Maxdecondé”]insserv: warning: script ‘cupsys’ missing LSB tags and overrides
insserv: warning: script ‘lpd’ missing LSB tags and overrides
insserv: warning: script ‘lprng’ missing LSB tags and overrides[/quote]
Ces retours, stp.

$ aptitude search ~c $ ls -laR /etc/init.d/

aptitude search ~c

aptitude search ~c c hplip - HP Linux Printing and Imaging System (HPLIP)

aptitude -s remove --purge cups printer-driver-gutenprint :

aptitude -s remove --purge cups printer-driver-gutenprint Aucun paquet ne va être installé, mis à jour ou enlevé. 0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour. Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés. Charger/installer/enlever des paquets.

Mais j’ai “triché”, j’avais fait juste avant un :

Ensuite, j’ai refais une install de cups, mais le démon ne veut toujours pas se mettre (mais là, j’ai un message d’erreur : service non reconnu)…

Ca m’agace parce que cups je l’ai installé des dizaines de fois, et je n’ai jamais eu aucun souci… Et là, en une semaine, aucune de mes installs ne fonctionnent (le banana pi… les dépendances ne sont pas correctement installées, comme avahi, et maintenant le Rpi).

ça ne pourrait pas être un problème qui vient de la source ? (prob de maj des paquets ou je ne sais quoi ?)

Tu as oublié un retour.

Déinstalles pour l’instant.

Lances un nettoyage.

[quote=“Maxdecondé”]
Et là, en une semaine, aucune de mes installs ne fonctionnent (le banana pi… les dépendances ne sont pas correctement installées, comme avahi, et maintenant le Rpi).

ça ne pourrait pas être un problème qui vient de la source ? (prob de maj des paquets ou je ne sais quoi ?)[/quote]
À la suite de quoi, lances un [mono]update[/mono] et colles les retours d’[mono]upgrade[/mono] (en simulation = [mono]-s[/mono]), stp.

[code]# aptitude -s upgrade

aptitude -s full-upgrade[/code]

Re,

Alors, le premier retour :
ls -laR /etc/init.d/

-rwxr-xr-x 1 root root 5195 sept. 6 2011 alsa-utils -rwxr-xr-x 1 root root 7820 déc. 22 21:59 apache2 -rwxr-xr-x 1 root root 2253 mars 6 2013 avahi-daemon -rwxr-xr-x 1 root root 1276 oct. 15 2012 bootlogs -rwxr-xr-x 1 root root 1281 juil. 14 2013 bootmisc.sh -rwxr-xr-x 1 root root 950 déc. 18 2013 cgroup-bin -rwxr-xr-x 1 root root 3816 juil. 14 2013 checkfs.sh -rwxr-xr-x 1 root root 1099 juil. 14 2013 checkroot-bootclean.sh -rwxr-xr-x 1 root root 9673 juil. 14 2013 checkroot.sh -rwxr-xr-x 1 root root 1379 déc. 9 2011 console-setup -rwxr-xr-x 1 root root 3033 juil. 9 2012 cron lrwxrwxrwx 1 root root 9 mars 16 09:36 cups -> /bin/true -rwxr-xr-x 1 root root 3016 févr. 25 10:18 cups.dpkg-new lrwxrwxrwx 1 root root 9 mars 16 09:36 cupsys -> /bin/true -rwxr-xr-x 1 root root 2813 févr. 5 17:00 dbus -rw-r--r-- 1 root root 1728 mars 19 14:08 .depend.boot -rw-r--r-- 1 root root 856 mars 19 14:08 .depend.start -rw-r--r-- 1 root root 735 mars 19 14:08 .depend.stop -rwxr-xr-x 1 root root 2148 juin 9 2012 dphys-swapfile -rwxr-xr-x 1 root root 824 sept. 5 2014 fake-hwclock -rwxr-xr-x 1 root root 1329 oct. 15 2012 halt -rwxr-xr-x 1 root root 1423 oct. 15 2012 hostname.sh -rwxr-xr-x 1 root root 3880 déc. 22 2012 hwclock.sh -rwxr-xr-x 1 root root 4698 mai 1 2012 ifplugd -rwxr-xr-x 1 root root 7592 avril 28 2012 kbd -rwxr-xr-x 1 root root 1591 oct. 1 2012 keyboard-setup -rwxr-xr-x 1 root root 1293 oct. 15 2012 killprocs -rwxr-xr-x 1 root root 1990 mai 20 2012 kmod -rwxr-xr-x 1 root root 2610 juil. 25 2011 lightdm lrwxrwxrwx 1 root root 9 mars 16 09:36 lpd -> /bin/true lrwxrwxrwx 1 root root 9 mars 16 09:36 lprng -> /bin/true -rwxr-xr-x 1 root root 995 oct. 15 2012 motd -rwxr-xr-x 1 root root 670 févr. 24 2013 mountall-bootclean.sh -rwxr-xr-x 1 root root 2128 févr. 24 2013 mountall.sh -rwxr-xr-x 1 root root 1508 juil. 14 2013 mountdevsubfs.sh -rwxr-xr-x 1 root root 1413 juil. 14 2013 mountkernfs.sh -rwxr-xr-x 1 root root 678 févr. 24 2013 mountnfs-bootclean.sh -rwxr-xr-x 1 root root 2440 oct. 15 2012 mountnfs.sh -rwxr-xr-x 1 root root 1731 juil. 14 2013 mtab.sh -rwxr-xr-x 1 root root 4322 mars 14 2013 networking -rwxr-xr-x 1 root root 6491 juin 15 2013 nfs-common -rwxr-xr-x 1 root root 1814 févr. 4 21:03 ntp -rwxr-xr-x 1 root root 1313 juin 30 2012 plymouth -rwxr-xr-x 1 root root 725 juin 30 2012 plymouth-log -rwxr-xr-x 1 root root 1346 mai 20 2012 procps -rwxr-xr-x 1 root root 1139 janv. 30 00:56 raspi-config -rwxr-xr-x 1 root root 6120 oct. 15 2012 rc -rwxr-xr-x 1 root root 782 oct. 15 2012 rc.local -rwxr-xr-x 1 root root 117 oct. 15 2012 rcS -rw-r--r-- 1 root root 2427 oct. 15 2012 README -rwxr-xr-x 1 root root 639 oct. 15 2012 reboot -rwxr-xr-x 1 root root 1074 juil. 14 2013 rmnologin -rwxr-xr-x 1 root root 2344 juin 15 2012 rpcbind -rwxr-xr-x 1 root root 4395 déc. 13 2012 rsync -rwxr-xr-x 1 root root 3054 oct. 7 23:31 rsyslog -rwxr-xr-x 1 root root 2348 avril 22 2010 saned -rwxr-xr-x 1 root root 3200 oct. 15 2012 sendsigs -rwxr-xr-x 1 root root 590 oct. 15 2012 single -rw-r--r-- 1 root root 4290 oct. 15 2012 skeleton -rwxr-xr-x 1 root root 3881 juin 28 2014 ssh -rwxr-xr-x 1 root root 714 juin 28 2012 sudo -rwxr-xr-x 1 root root 3169 mai 10 2011 triggerhappy -rwxr-xr-x 1 root root 8827 nov. 9 2012 udev -rwxr-xr-x 1 root root 1179 août 19 2012 udev-mtab -rwxr-xr-x 1 root root 2721 avril 10 2013 umountfs -rwxr-xr-x 1 root root 2195 avril 10 2013 umountnfs.sh -rwxr-xr-x 1 root root 1122 oct. 15 2012 umountroot -rwxr-xr-x 1 root root 3111 oct. 15 2012 urandom -rwxr-xr-x 1 root root 2666 mars 2 2012 x11-common

L’init.d de cups est vide…

Le 2nd :

aptitude -s upgrade :

Aucun paquet ne va être installé, mis à jour ou enlevé. 0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour. Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés. Charger/installer/enlever des paquets.

Le 3ème :

aptitude -s full-upgrade :

Aucun paquet ne va être installé, mis à jour ou enlevé. 0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour. Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés. Charger/installer/enlever des paquets.

Salut,

Avant de poursuivre, as tu déinstallé (quoi ?) et nettoyer (purge ~c) ?

Ce qui n’est pas normal.
Et celui-ci [mono]/etc/init.d/cups.dpkg-new[/mono] ?


[mono]lprng[/mono], n’étant plus installé sur ton système, nous neutraliserons (dans l’immédiat) les scripts qui en découlent et en fonctions de tes retours nous poursuivrons.

J’ai fait les commandes que tu m’as demandé (gutenprint,…). Avant cela, j’avais fait un “apt-get purge cups”.
C’est tout.

Le cups.dpkg-news :

[code]#! /bin/sh

BEGIN INIT INFO

Provides: cups

Required-Start: $syslog $remote_fs

Required-Stop: $syslog $remote_fs

Should-Start: $network avahi

Should-Stop: $network

X-Start-Before: samba

X-Stop-After: samba

Default-Start: 2 3 4 5

Default-Stop: 1

Short-Description: CUPS Printing spooler and server

END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/cupsd
NAME=cupsd
PIDFILE=/var/run/cups/$NAME.pid
DESC=“Common Unix Printing System”

unset TMPDIR

test -x $DAEMON || exit 0

mkdir -p /var/run/cups/certs

if [ -r /etc/default/cups ]; then
. /etc/default/cups
fi

. /lib/lsb/init-functions

Get the timezone set.

if [ -z “$TZ” -a -e /etc/timezone ]; then
TZ=cat /etc/timezone
export TZ
fi

restart_xprint() {
if [ -n “$success” ] && [ -x /etc/init.d/xprint ]; then
invoke-rc.d xprint force-reload || true
fi
}

coldplug_usb_printers() {
if type udevadm > /dev/null 2>&1 && [ -x /lib/udev/udev-configure-printer ]; then
for printer in udevadm trigger --verbose --dry-run --subsystem-match=usb \ --attr-match=bInterfaceClass=07 --attr-match=bInterfaceSubClass=01 2>/dev/null || true; \ udevadm trigger --verbose --dry-run --subsystem-match=usb \ --sysname-match='lp[0-9]*' 2>/dev/null || true; do
/lib/udev/udev-configure-printer add "${printer#/sys}"
done
fi
}

case “$1” in
start)
log_begin_msg “Starting $DESC: $NAME”

    mkdir -p `dirname "$PIDFILE"`
    if [ "$LOAD_LP_MODULE" = "yes" -a -f /usr/lib/cups/backend/parallel \
         -a -f /proc/devices -a -f /proc/modules -a -x /sbin/modprobe ]; then
      modprobe -q -b lp || true
      modprobe -q -b ppdev || true
      modprobe -q -b parport_pc || true
    fi

    start-stop-daemon --start --quiet --oknodo --pidfile "$PIDFILE" --exec $DAEMON && success=1
    coldplug_usb_printers
    log_end_msg $?
    restart_xprint
    ;;

stop)
log_begin_msg "Stopping $DESC: $NAME"
start-stop-daemon --stop --quiet --retry 5 --oknodo --pidfile $PIDFILE --name $NAME && success=1
log_end_msg $?
restart_xprint
;;
reload|force-reload)
log_begin_msg "Reloading $DESC: $NAME"
start-stop-daemon --stop --quiet --pidfile $PIDFILE --name $NAME --signal 1 && success=1
log_end_msg $?
restart_xprint
;;
restart)
log_begin_msg "Restarting $DESC: $NAME"
if start-stop-daemon --stop --quiet --retry 5 --oknodo --pidfile $PIDFILE --name $NAME; then
start-stop-daemon --start --quiet --pidfile “$PIDFILE” --exec $DAEMON && success=1
fi
log_end_msg $?
restart_xprint
;;
status)
echo -n "Status of $DESC: "
if [ ! -r “$PIDFILE” ]; then
echo "$NAME is not running."
exit 3
fi
if read pid < “$PIDFILE” && ps -p “$pid” > /dev/null 2>&1; then
echo "$NAME is running."
exit 0
else
echo "$NAME is not running but $PIDFILE exists."
exit 1
fi
;;
)
N=/etc/init.d/${0##
/}
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0
[/code]

Pas de soucis pour la désactivation, c’est un Rpi qui ne se veut que serveur d’impression, et rien d’autre.

[mono]purge[/mono], n’est guère suffisant.

Dans la mesure ou tu fais ta petite soupe de ton côté, on reprend.

C’est retours, complets, stp.

$ apt-cache policy cups printer-driver-gutenprint $ dpkg -l |grep cups $ dpkg -l |grep printer $ dpkg -l |grep hplip $ dpkg -l | grep lprng

[code]# aptitude search ~c

aptitude purge ~c[/code]

aptitude remove --purge cups printer-driver-gutenprint :

pi@raspberrypi ~ $ sudo aptitude remove --purge cups printer-driver-gutenprint Aucun paquet ne va être installé, mis à jour ou enlevé. 0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour. Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.

Pour les recherches dans les paquets :

pi@raspberrypi ~ $ apt-cache policy cups printer-driver-gutenprint cups: Installé : (aucun) Candidat : 1.5.3-5+deb7u5 Table de version : 1.5.3-5+deb7u5 0 500 http://mirrordirector.raspbian.org/raspbian/ wheezy/main armhf Packages printer-driver-gutenprint: Installé : (aucun) Candidat : 5.2.9-1 Table de version : 5.2.9-1 0 500 http://mirrordirector.raspbian.org/raspbian/ wheezy/main armhf Packages pi@raspberrypi ~ $ dpkg -l |grep cups ii cups-bsd 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - BSD commands ii cups-client 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - client programs (SysV) ii cups-common 1.5.3-5+deb7u5 all Common UNIX Printing System(tm) - common files ii cups-filters 1.0.18-2.1+deb7u1 armhf OpenPrinting CUPS Filters ii cups-ppdc 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - PPD manipulation utilities ii ghostscript-cups 9.05~dfsg-6.3+deb7u1 armhf interpreter for the PostScript language and for PDF - CUPS filters ii libcups2:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - Core library ii libcupscgi1:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - CGI library ii libcupsdriver1:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - Driver library ii libcupsfilters1:armhf 1.0.18-2.1+deb7u1 armhf OpenPrinting CUPS Filters - Shared library ii libcupsimage2:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - Raster image library ii libcupsmime1:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - MIME library ii libcupsppdc1:armhf 1.5.3-5+deb7u5 armhf Common UNIX Printing System(tm) - PPD manipulation library pi@raspberrypi ~ $ dpkg -l |grep printer ii foomatic-db-compressed-ppds 20120523-1 all OpenPrinting printer support - Compressed PPDs derived from the database ii foomatic-db-engine 4.0.8-3 armhf OpenPrinting printer support - programs ii foomatic-filters 4.0.17-1 armhf OpenPrinting printer support - filters ii hpijs 3.12.6-3.1+deb7u1 all transitional dummy package for hpijs printer driver ii libescpr1:armhf 1.1.1-2 armhf printer driver for Epson Inkjet - shared library ii libgutenprint2 5.2.9-1 armhf runtime for the Gutenprint printer driver library ii printer-driver-all 0.20120416 all printer drivers metapackage ii printer-driver-c2050 0.3b-4 armhf printer driver for Lexmark 2050 Color Jetprinter ii printer-driver-c2esp 24-2 armhf printer driver for Kodak ESP AiO color inkjet Series ii printer-driver-cjet 0.8.9-3 armhf printer driver for Canon LBP laser printers ii printer-driver-escpr 1.1.1-2 armhf printer driver for Epson Inkjet that use ESC/P-R ii printer-driver-foo2zjs 20120510dfsg0-1 armhf printer driver for ZjStream-based printers ii printer-driver-hpijs 3.12.6-3.1+deb7u1 armhf HP Linux Printing and Imaging - gs IJS driver (hpijs) ii printer-driver-m2300w 0.51-7 armhf printer driver for Minolta magicolor 2300W/2400W color laser printers ii printer-driver-min12xxw 0.0.9-6 armhf printer driver for KonicaMinolta PagePro 1[234]xxW ii printer-driver-pnm2ppa 1.13-4 armhf printer driver for HP-GDI printers ii printer-driver-ptouch 1.3-4 armhf printer driver Brother P-touch label printers ii printer-driver-pxljr 1.3+repack0-2 armhf printer driver for HP Color LaserJet 35xx/36xx ii printer-driver-sag-gdi 0.1-3 all printer driver for Ricoh Aficio SP 1000s/SP 1100s pi@raspberrypi ~ $ dpkg -l |grep hplip pi@raspberrypi ~ $ dpkg -l | grep lprng

Et avec aptitude :

pi@raspberrypi ~ $ sudo aptitude search ~c pi@raspberrypi ~ $ sudo aptitude purge ~c Aucun paquet ne va être installé, mis à jour ou enlevé. 0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour. Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.

Re,

** À la condition de ne pas avoir fait d’autre manip depuis ton dernier message. **

  • Suppression de ces scripts.
  • Neutralisation de ceux ci.

Notes: d’ici 1 mois tu pourras les virés si tu n’as relevé aucun souci à ce niveau là.

Question, ces paquets sont ils présent (juste pour savoir) ?

Ceci fait, relances une simulation de [mono]cups[/mono] via [mono]aptitude[/mono].

Cela dit ?

Non aucune, manipulation, j’attends sagement tes instructions maintenant ^^

root@raspberrypi:/home/pi# chmod 400 /etc/init.d/lpd && chmod 400 /etc/init.d/lprng && chmod 400 /etc/init.d/cupsys chmod: impossible d'opérer sur un lien symbolique ballant « /etc/init.d/lpd »

pi@raspberrypi ~ $ apt-cache policy munin-plugins-core cruft munin-plugins-core: Installé : (aucun) Candidat : 2.0.6-4+deb7u2 Table de version : 2.0.6-4+deb7u2 0 500 http://mirrordirector.raspbian.org/raspbian/ wheezy/main armhf Packages cruft: Installé : (aucun) Candidat : 0.9.16 Table de version : 0.9.16 0 500 http://mirrordirector.raspbian.org/raspbian/ wheezy/main armhf Packages

pi@raspberrypi ~ $ sudo aptitude -s install cups printer-driver-gutenprint Les NOUVEAUX paquets suivants vont être installés : cups printer-driver-gutenprint 0 paquets mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour. Il est nécessaire de télécharger 0 o/1 821 ko d'archives. Après dépaquetage, 4 839 ko seront utilisés. Charger/installer/enlever des paquets.

Nan, c’est ballot, j’ai zappé les liens symboliques.

[quote=“Maxdecondé”]ls -laR /etc/init.d/

[code]
lrwxrwxrwx 1 root root 9 mars 16 09:36 cups -> /bin/true

lrwxrwxrwx 1 root root 9 mars 16 09:36 cupsys -> /bin/true

lrwxrwxrwx 1 root root 9 mars 16 09:36 lpd -> /bin/true
lrwxrwxrwx 1 root root 9 mars 16 09:36 lprng -> /bin/true[/code]

[/quote]
Tu confirmes ?

Notes: chez moi [mono]/bin/true[/mono] est un fichier.

PS: ceci est il fait ?

Heu, par précaution.

Tu te crées un répertoire pour sauvegarder (très rapidement) le répertoire [mono]/etc/init.d/[/mono] ou tu veux et tu t’y places ([mono]cd le_répertoire[/mono]).

[17:42:22] ~ # cd [17:42:45] ~ # mkdir sav_init.d && cd sav_init.d [17:43:13] ~/sav_init.d # [17:43:14] ~/sav_init.d # tar cvf etc-init.tar /etc/init.d/

[17:43:26] ~/sav_init.d # ll total 372K -rw------- 1 root root 370K 2015-03-20 17:43 etc-init.tar [17:43:27] ~/sav_init.d #
Et, si tu veux le visualiser/vérifier …

Sauvegarde faite à l’instant ^^

Nan, c’est ballot, j’ai zappé les liens symboliques.

[quote=“Maxdecondé”]ls -laR /etc/init.d/

lrwxrwxrwx   1 root root    9 mars  16 09:36 cups -> /bin/true

lrwxrwxrwx   1 root root    9 mars  16 09:36 cupsys -> /bin/true

lrwxrwxrwx   1 root root    9 mars  16 09:36 lpd -> /bin/true
lrwxrwxrwx   1 root root    9 mars  16 09:36 lprng -> /bin/true[/code]

[/quote]

Tu confirmes ?
[/quote]
Pas pour cups.


Et pour la création du lien symbolique, voilà le résultat :
[code]pi@raspberrypi ~ $ sudo su
root@raspberrypi:/home/pi# ls -la /bin/true
ls: impossible d'accéder à /bin/true: Aucun fichier ou dossier de ce type

Utilises [mono]find[/mono] pour les localisés.

Donc, j’ai viré ce que tu m’as dit, j’ai sauvegardé ce que tu m’as proposé de sauvegarder.
Je réinstalle maintenant ? :wink:

Vérifions. ^^